# Create an InboundTransfer object

InboundTransfers APIs are used to create, retrieve or list InboundTransfers.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/inbound_transfers \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-09-30.preview" \
  --json '{
    "description": "April Payouts",
    "from": {
        "payment_method": "usba_test_61P22mHGGhTkqVEx416Nr2cJ8cSQabKn4q38nZ59E7ea"
    },
    "to": {
        "financial_account": "fa_test_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y",
        "currency": "usd"
    },
    "amount": {
        "value": 101,
        "currency": "usd"
    }
  }'
```

### Response

```json
{
  "id": "ibt_test_61Q58XwKMHh5ha3MI16Nr2cJ8cSQabKn4q38nZ59E6yO",
  "object": "v2.money_management.inbound_transfer",
  "amount": {
    "value": 101,
    "currency": "usd"
  },
  "created": "2024-03-18T18:07:12.619131Z",
  "description": "April Payouts",
  "from": {
    "debited": {
      "value": 101,
      "currency": "usd"
    },
    "payment_method": {
      "type": "payment_methods.us_bank_account",
      "us_bank_account": "usba_test_61P22mHGGhTkqVEx416Nr2cJ8cSQabKn4q38nZ59E7ea"
    }
  },
  "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk5yMmNKOGNTUWFiS240cTM4blo1OUUohIbirwYyBvlQ2PtS3zpGlI2ZkpO8-dpYhb3KfWs1FlYI9eX2I94gJoeJHXOR0QwwesVCRnQwRgsUQqGFloqKV7McODKkoVKAMiuB5lD9htcDuxRtDA",
  "to": {
    "credited": {
      "value": 101,
      "currency": "usd"
    },
    "financial_account": "fa_test_65Nyg0pdsXOSN32kkjg16Nr2cJ8cSQabKn4q38nZ59E50y"
  },
  "transfer_history": [
    {
      "id": "ibthe_test_61Q58Xw5weaazmsWj16Nr2cJ8cSQabKn4q38nZ59E52W",
      "bank_debit_queued": {},
      "created": "2024-03-18T18:07:12.617Z",
      "effective_at": "2024-03-18T18:07:12.617Z",
      "level": "canonical",
      "type": "bank_debit_queued"
    },
    {
      "id": "ibthe_test_61Q58Y2iAWn3U9kNW16Nr2cJ8cSQabKn4q38nZ59EXzc",
      "bank_debit_processing": {},
      "created": "2024-03-18T18:07:18.403Z",
      "effective_at": "2024-03-18T18:07:18.403Z",
      "level": "canonical",
      "type": "bank_debit_processing"
    },
    {
      "id": "ibthe_test_61Q58Y7wNh292msCP16Nr2cJ8cSQabKn4q38nZ59EPz6",
      "bank_debit_succeeded": {},
      "created": "2024-03-18T18:07:23.103Z",
      "effective_at": "2024-03-18T18:07:23.103Z",
      "level": "canonical",
      "type": "bank_debit_succeeded"
    }
  ],
  "livemode": true
}
```

## Parameters

- [`amount`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=amount) (object, required)
  The amount, in specified currency, by which the FinancialAccount balance will increase due to the InboundTransfer.

- [`from`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=from) (object, required)
  Object containing details about where the funds will originate from.

- [`to`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=to) (object, required)
  Object containing details about where the funds will land.

- `description` (string, optional)
  An optional, freeform description field intended to store metadata.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the InboundTransfer.

- `object` (string, value is "v2.money_management.inbound_transfer")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`amount`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=amount) (object)
  The amount in specified currency that will land in the FinancialAccount balance.

- `created` (timestamp)
  Creation time of the InboundTransfer. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: 2022-09-18T13:22:18.123Z.

- `description` (string)
  A freeform text field provided by user, containing metadata.

- [`from`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=from) (object)
  A nested object containing information about the origin of the InboundTransfer.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `receipt_url` (string, nullable)
  A hosted transaction receipt URL that is provided when money movement is considered regulated under Stripe’s money transmission licenses.

- [`to`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=to) (object)
  A nested object containing information about the destination of the InboundTransfer.

- [`transfer_history`](https://docs.stripe.com/api/v2/money-management/inbound-transfers/create.md?query=transfer_history) (array of objects)
  A list of history objects, representing changes in the state of the InboundTransfer.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | inbound_transfer_from_payment_method_type_unsupported | Returned when a valid, but unsupported PaymentMethod for InboundTransfers is provided. |
| 400 | inbound_transfer_from_payment_method_unverified | Returned when a PaymentMethod that has not been verified, is provided. |
| 400 | inbound_transfer_not_allowed | Returned if an InboundTransfer is not allowed for risk, legal, regulatory or other unforeseen reasons. |
| 404 | inbound_transfer_from_payment_method_not_found | Returned when a PaymentMethod cannot be found. |
| 404 | inbound_transfer_to_financial_account_not_found | Returned when a FinancialAccount cannot be found. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
